function [X,Y,N,X2,Y2] = foilpoints(NACA,n)


Minit = str2double(NACA(1));
Pinit = str2double(NACA(2));
Tinit = str2double(NACA(3:4));

gridPts = n;

M = Minit / 100;
P = Pinit / 10;
T = Tinit / 100;

x = linspace(0,1,gridPts)';

a0 = 0.2969; a1 = -0.126; a2 = -0.3516; a3 = 0.2843; a4 = -0.1015;

theta = zeros(gridPts,1); yc = zeros(gridPts,1);
dyc_dx = zeros(gridPts,1);

for i = 1:1:gridPts

    if (x(i) >= 0 && x(i) < P)

        yc(i) = (M/P^2)*((2*P*x(i))-x(i)^2);

        dyc_dx(i) =  ((2*M)/(P^2))*(P-x(i));

    elseif (x(i) >= P &&  x(i) <=1)

        yc(i) =  (M/(1-P)^2)*(1-(2*P)+(2*P*x(i))-(x(i)^2));

        dyc_dx(i) =  ((2*M)/((1-P)^2))*(P-x(i));
    end

     theta(i) = atan(dyc_dx(i));
     
end


    term0 = a0 .* sqrt(x);
    term1 = a1 .* x;
    term2 = a2 .* x.^2;
    term3 = a3 .* x.^3;
    term4 = a4 .* x.^4;
    yt = 5 * T .* (term0 + term1 + term2 + term3 + term4);

    xu = x - yt .* sin(theta);

    yu = yc + yt .* cos(theta);

    xl = x + yt .* sin(theta);

    yl = yc - yt .* cos(theta);

X = xu;
Y = (yu+yl)/2;
X2 = [xu; (fliplr(xl'))'];
Y2 = [yu; (fliplr(yl'))'];
Nx = sin(theta);
Nz = cos(theta);
N = [Nx,Nz];
end