function a = posspross(results,results2,wa,Vt,t)
close all
[k,l] = size(Vt);
[g,h] = size(wa);
[dd,ff] = size(results);

pwa = pi.*wa./180;
pwa = repmat(pwa,l,1)';

for j = 1:ff
    
    b = results(j);
    uvw = b.uvw;
    
    V(j) = sqrt(uvw(1)^2+uvw(2)^2+uvw(3)^2);
    
end


V = reshape(V',[],l);
Vfail = V(find(abs(V) > 10));
pwfail = pwa(find(abs(V) > 10));
V(find(abs(V) > 10)) = 100;
pwa(find(abs(V) > 10)) = 100;

for j = 1:l
    aa = V(:,j);
    aa(aa == 100) = [];
    bb = pwa(:,j);
    bb(bb == 100) = [];
   test{j} = [aa bb];
    
end
a = 1;

figure
linsp = {'-','--',':','-.','-.','--',':','-.'};
linco = {'b','r','k','m','r','k','m','b'};
for j = 1:l
    aa = cell2mat(test(j));
    polarplot(aa(:,2),aa(:,1),'linestyle',linsp{j},'Color',linco{j})
    hold on
end
thetalim([0 90])
axi = gca;
axi.ThetaDir = 'clockwise';
axi.ThetaZeroLocation = 'top';
thetatickformat(axi,'degrees')
axi.RAxis.Label.String = 'Vessel Speed';
axi.ThetaAxis.Label.String = 'True Wind Angle';
print('polarspeed','-depsc')
[dd,gg] = size(results2);
[bb,cc] = size(t);
for j = 1:gg
    b = results2(j);
      [dd,ff] = size(b.mx);
      mx(j,1:ff) = b.mx;
      [dd,ff] = size(b.my);
      my(j,1:ff) = b.my; 
      [dd,ff] = size(b.fx);
      fx(j,1:ff) = b.fx; 
      [dd,ff] = size(b.fz);
      fz(j,1:ff) = b.fz; 
      [dd,ff] = size(b.v.x);
      vx(j,1:ff) = b.v.x;
      [dd,ff] = size(b.v.z);
      vz(j,1:ff) = b.v.z;
      [dd,ff] = size(b.v.p);
      vp(j,1:ff) = b.v.p;
      [dd,ff] = size(b.v.q);
      vq(j,1:ff) = b.v.q;
      [dd,ff] = size(b.Sb);
      Sb(j,1:ff) = b.Sb;
      [dd,ff] = size(b.acc.x);
      ax(j,1:ff) = b.acc.x;
      [dd,ff] = size(b.acc.y);
      ay(j,1:ff) = b.acc.y;
      [dd,ff] = size(b.acc.z);
      az(j,1:ff) = b.acc.z;
      [dd,ff] = size(b.acc.p);
      ap(j,1:ff) = b.acc.p;
      [dd,ff] = size(b.acc.q);
      aq(j,1:ff) = b.acc.q;
      [dd,ff] = size(b.acc.z);
      phi(j,1:ff) = b.ang.p;
      [dd,ff] = size(b.acc.p);
      the(j,1:ff) = b.ang.q;
    
end
seriies = 1;
comp = 1.1;

xlab = 'Time [s]';

ylab = 'Force [N]';
tit = 'Total Force in Surge, True Wind 6 m/s, angle 25^\circ';
miin = -max(abs(fx(seriies,:)))*comp;
maax = max(abs(fx(seriies,:)))*comp;

figure
a = plotgraph((0.1:0.1:length(fx(seriies,:))/10),fx(seriies,:),xlab,ylab,tit,miin,maax);
print('forcesurge_25','-depsc')

figure
miin = 5;
maax = 8;
ylab = 'Velocity [m/s]';
tit = 'Velocity in Surge, True Wind 6 m/s, angle 25^\circ';
a = plotgraph((0.1:0.1:length(vx(seriies,:))/10),vx(seriies,:),xlab,ylab,tit,miin,maax);
print('velsurge_25','-depsc')

figure
miin = -max(abs(ax(seriies,:)))*comp;
maax = max(abs(ax(seriies,:)))*comp;
ylab = 'Acceleration [m/s^2]';
tit = 'Acceleration in Surge, True Wind speed 6 m/s, angle 25^\circ';
a = plotgraph((0.1:0.1:length(ax(seriies,:))/10),ax(seriies,:),xlab,ylab,tit,miin,maax);
print('accsurge_25','-depsc')

figure
ylab = 'Force [N]';
tit = 'Total Force in Heave, True Wind 6 m/s, angle 25^\circ';
miin = -max(abs(fz(seriies,:)))*comp;
maax = max(abs(fz(seriies,:)))*comp;

a = plotgraph((0.1:0.1:length(fz(seriies,:))/10),fz(seriies,:),xlab,ylab,tit,miin,maax);
print('forceheave_25','-depsc')

figure
miin = -max(abs(vz(seriies,:)))*comp;
maax = max(abs(vz(seriies,:)))*comp;
ylab = 'Velocity [m/s]';
tit = 'Velocity in Heave, True Wind 6 m/s, angle 25^\circ';
a = plotgraph((0.1:0.1:length(vz(seriies,:))/10),vz(seriies,:),xlab,ylab,tit,miin,maax);
print('velheave_25','-depsc')

figure
miin = -max(abs(az(seriies,:)))*comp;
maax = max(abs(az(seriies,:)))*comp;
ylab = 'Acceleration [m/s^2]';
tit = 'Acceleration in Heave, True Wind speed 6 m/s, angle 25^\circ';
a = plotgraph((0.1:0.1:length(az(seriies,:))/10),az(seriies,:),xlab,ylab,tit,miin,maax);
print('accheave_25','-depsc')

figure
ylab = 'Torque [Nm]';
tit = 'Total Torque in Pitch, True Wind 6 m/s, angle 25^\circ';
miin = -max(abs(my(seriies,:)))*comp;
maax = max(abs(my(seriies,:)))*comp;
a = plotgraph((0.1:0.1:length(my(seriies,:))/10),my(seriies,:),xlab,ylab,tit,miin,maax);
print('torquepitch_25','-depsc')

figure
miin = -max(abs(vq(seriies,:)))*comp;
maax = max(abs(vq(seriies,:)))*comp;
ylab = 'Velocity [deg/s]';
tit = 'Velocity in Pitch, True Wind 6 m/s, angle 25^\circ';
a = plotgraph((0.1:0.1:length(vq(seriies,:))/10),vq(seriies,:),xlab,ylab,tit,miin,maax);
print('velpitch_25','-depsc')

figure
miin = -max(abs(aq(seriies,:)))*comp;
maax = max(abs(aq(seriies,:)))*comp;
ylab = 'Acceleration [deg/s^2]';
tit = 'Acceleration in Pitch, True Wind speed 6 m/s, angle 25^\circ';
a = plotgraph((0.1:0.1:length(aq(seriies,:))/10),aq(seriies,:),xlab,ylab,tit,miin,maax);
print('accpitch_25','-depsc')

figure
miin = -max(abs(the(seriies,:)))*comp;
maax = max(abs(the(seriies,:)))*comp;
ylab = 'Angle [deg]';
tit = 'Pitch Angle, True Wind speed 6 m/s, angle 25^\circ';
a = plotgraph((0.1:0.1:length(the(seriies,:))/10),the(seriies,:),xlab,ylab,tit,miin,maax);
print('angpitch_25','-depsc')

figure
ylab = 'Torque [Nm]';
tit = 'Total Torque in Roll, True Wind angle 6 m/s, 25^\circ';
miin = -max(abs(mx(seriies,:)))*comp;
maax = max(abs(mx(seriies,:)))*comp;

a = plotgraph((0.1:0.1:length(mx(seriies,:))/10),mx(seriies,:),xlab,ylab,tit,miin,maax);
print('torqueRoll_25','-depsc')

figure
miin = -max(abs(vp(seriies,:)))*comp;
maax = max(abs(vp(seriies,:)))*comp;
ylab = 'Velocity [deg/s]';
tit = 'Velocity in Roll, True Wind 6 m/s, angle 25^\circ';
a = plotgraph((0.1:0.1:length(vp(seriies,:))/10),vp(seriies,:),xlab,ylab,tit,miin,maax);
print('velroll_25','-depsc')

figure
miin = -max(abs(ap(seriies,:)))*comp;
maax = max(abs(ap(seriies,:)))*comp;
ylab = 'Acceleration [deg/s^2]';
tit = 'Acceleration in Roll, True Wind speed 6 m/s, angle 25^\circ';
a = plotgraph((0.1:0.1:length(ap(seriies,:))/10),ap(seriies,:),xlab,ylab,tit,miin,maax);
print('accroll_25','-depsc')

figure
miin = -max(abs(phi(seriies,:)))*comp;
maax = max(abs(phi(seriies,:)))*comp;
ylab = 'Angle [deg]';
tit = 'Roll Angle, True Wind speed 6 m/s, angle 25^\circ';
a = plotgraph((0.1:0.1:length(phi(seriies,:))/10),phi(seriies,:),xlab,ylab,tit,miin,maax);
print('angroll_25','-depsc')

figure
miin = 1;
maax = 3.5;
ylab = 'Area [m^2]'; tit = 'Total Submerged Area, True Wind 6 m/s, angle 25^\circ';
a = plotgraph((0.1:0.1:length(Sb(seriies,:))/10),Sb(seriies,:),xlab,ylab,tit,miin,maax);
print('subarea_25','-depsc')

%%-----------------Images--------------------%

res = 40;
[dd,ff] = size(wa);
[gg,hh] = size(t);
yt = linspace(0,ff,ff);
ytlab = linspace(min(wa),max(wa),ff);
xt = 0:max(t):hh;
xtlab = 0:max(t)/10:max(t);
ylab = 'True Wind Angle [deg]';
xlab = 'Time [s]';

figure
a = 0.6*10^4;
miin = -a;
maax = a;
barlab = 'Torque [Nm]';
tit = 'Total torque in Roll, true wind speed 6 m/s';
a = plotimage(mx,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('torqueroll_va4','-depsc')

figure
a = 5;
miin = -a;
maax = a;
barlab = 'Velocity [deg/s]';
tit = 'Velocity in Roll, true wind speed 6 m/s';
a = plotimage(vp,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('velroll_va4','-depsc')

figure
a = 6;
miin = -a;
maax = a;
barlab = 'Acceleration [deg/s^2]';
tit = 'Acceleration in Roll, true wind speed 6 m/s';
a = plotimage(ap,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('accroll_va4','-depsc')

figure
a = 7;
miin = -a;
maax = a;
barlab = 'Angle [deg]';
tit = 'Roll Angle, true wind speed 6 m/s';
a = plotimage(phi,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('angroll_va4','-depsc')

figure
a = 2000;
miin = -a;
maax = a;
barlab = 'Torque [Nm]';
tit = 'Total torque in Pitch, true wind speed 6 m/s';
a = plotimage(my,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('torquepitch_va4','-depsc')

figure
a = 0.5;
miin = -0.5;
maax = a;
barlab = 'Velocity [deg/s]';
tit = 'Velocity in Pitch, true wind speed 6 m/s';
a = plotimage(vq,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('velpitch_va4','-depsc')

figure
a = 0.5;
miin = -a;
maax = a;
barlab = 'Acceleration [deg/s^2]';
tit = 'Acceleration in Pitch, true wind speed 6 m/s';
a = plotimage(aq,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('accpitch_va4','-depsc')

figure
a = 2;
miin = -a;
maax = a;
barlab = 'Angle [deg]';
tit = 'Pitch Angle, true wind speed 6 m/s';
a = plotimage(the,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('angpitch_va4','-depsc')

figure
a = 1000;
miin = -a;
maax = a;
barlab = 'Force [N]';
tit = 'Total Force in Surge, true wind speed 6 m/s';
a = plotimage(fx,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('forcesurge_va4','-depsc')

figure
miin = 6;
maax = 8.5;
barlab = 'Velocity [m/s]';
tit = 'Velocity in Surge, true wind speed 6 m/s';
a = plotimage(vx,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('velsurge_va4','-depsc')

figure
a = 0.5;
miin = -a;
maax = a;
barlab = 'Acceleration [m/s^2]';
tit = 'Acceleration in Surge, true wind speed 6 m/s';
a = plotimage(ax,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('accsurge_va4','-depsc')

figure
a = 2000;
miin = -a;
maax = a;
barlab = 'Force [N]';
tit = 'Total Force in Heave, true wind speed 6 m/s';
a = plotimage(fz,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('forceheave_va4','-depsc')

figure
a = 0.3;
miin = -a;
maax = a;
barlab = 'Velocity [m/s]';
tit = 'Velocity in Heave, true wind speed 6 m/s';
a = plotimage(vz,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('velheave_va4','-depsc')

figure
a = 1;
miin = -a;
maax = a;
barlab = 'Acceleration [m/s^2]';
tit = 'Acceleration in Heave, true wind speed 6 m/s';
a = plotimage(az,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('accheave_va4','-depsc')

figure
miin = 2;
maax = 3;
barlab = 'Area [m^2]';
tit = 'Total Submerged Area, true wind speed 6 m/s';
a = plotimage(Sb,tit,miin,maax,xt,xtlab,ytlab,yt,res,ylab,xlab,barlab);
print('subarea_va4','-depsc')

end